# Maintainer: BlackIkeEagle

pkgname=devtools-herecura-php
pkgver=2
pkgrel=2
pkgdesc="devtools additions for herecura-php"
depends=(devtools)
arch=('any')
url="https://repo.herecura-php.eu"
license=('MIT')
source=("pacman-php.conf"
        "pacman-php-testing.conf"
        "pacman-php-staging.conf")
sha512sums=('b39e4a9d059532c7bed886d016b21d2a37cf93bc07a242a3a1af655129da198686f05532c013ca7181b9b034add6d7084184f2865aedd7400a03168897d513c5'
            '9a6f7cc0e1fec9193302c241e4b8917a0048a6f7f47e1ca9f9ff2be675d1fc55685f5e70d4829c4ea5150096fc78bf11112564a92c92e9aabab05bfdab9dcc05'
            'c5d51192cf09d6199d99e083083a996623f9fa1ea504db450a9d3c3a57e29978f21f071fa1145d722c776cf5ac924821883a52d5bffa6f90dde9fd1c48f6ba05')

package() {
    install -dm755 "$pkgdir/usr/share/devtools"
    install -dm755 "$pkgdir/usr/bin"

    for repo in php{,-testing,-staging}; do
        install -Dm644 "$srcdir/pacman-$repo.conf" \
            "$pkgdir/usr/share/devtools/pacman.conf.d/$repo.conf"
        ln -sf /usr/bin/archbuild "$pkgdir/usr/bin/$repo-x86_64-build"
        ln -sf /usr/bin/archbuild "$pkgdir/usr/bin/$repo-x86_64_v3-build"
    done
}
